Table of Contents

MM API Changes

Warning

Some API changes are not backward compatible

A more detailed breakdown for the individual changes can be viewed here

==========================================================================
==                            API CHANGE LOG                            ==
==========================================================================
                       On Key MM  API Specification                       
--------------------------------------------------------------------------
--                            What's Deleted                            --
--------------------------------------------------------------------------
- GET    /Modules/MM/StockItems/Lookups/LookupStockItemCommodity

--------------------------------------------------------------------------
--                            What's Changed                            --
--------------------------------------------------------------------------
- GET    /Modules/MM/MaterialMasters/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/MM/MaterialMasters/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/MM/MaterialMasters/Attributes/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/MM/MaterialMasters/Attributes/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/MM/MaterialMasters/Bins/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/MM/MaterialMasters/Bins/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/MM/MaterialMasters/Suppliers/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/MM/MaterialMasters/Suppliers/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/MM/StockItems/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Broken compatibility
          Missing property: properties.commodityId (integer)
          Missing property: properties.commodityCode (string)
          Missing property: properties.commodityDescription (string)
- POST   /Modules/MM/StockItems
  Request:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/MM/StockItems
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollectionpage+json
          Schema: Broken compatibility
          Missing property: items[n].properties.commodityId (integer)
          Missing property: items[n].properties.commodityCode (string)
- GET    /Modules/MM/StockItems/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Broken compatibility
          Missing property: items[n].properties.commodityId (integer)
          Missing property: items[n].properties.commodityCode (string)
          Missing property: items[n].properties.commodityDescription (string)
- POST   /Modules/MM/StockItems/Batch
  Request:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/MM/StockItems/Attributes/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/MM/StockItems/Attributes/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/MM/StockItems/Bins/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/MM/StockItems/Bins/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
- GET    /Modules/MM/StockItems/Suppliers/{id}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entity+json
          Schema: Backward compatible
- GET    /Modules/MM/StockItems/Suppliers/Batch/{ids}
  Return Type:
    - Changed 200 OK
      Media types:
        - Changed application/vnd.onkey.entitycollection+json
          Schema: Backward compatible
--------------------------------------------------------------------------
--                                Result                                --
--------------------------------------------------------------------------
                 API changes broke backward compatibility                 
--------------------------------------------------------------------------